Bug 2071 - libsmb/samlogon_cache.c: init_unistr2() called with an incorrect argument
libsmb/samlogon_cache.c: init_unistr2() called with an incorrect argument
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.8
SGI IRIX
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 14:04 UTC by Jason Mader
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2004-11-19 14:04:10 UTC
Compiling libsmb/samlogon_cache.c
cc-1185 cc: WARNING File = libsmb/samlogon_cache.c, Line = 139
  An enumerated type is mixed with another type.

                init_unistr2( &user->uni_user_name, username, STR_TERMINATE );


based on other code, it looks like STR_TERMINATE should be UNI_STR_TERMINATE.
Comment 1 Jeremy Allison 2004-11-29 12:28:26 UTC
Applied an expanded version of this fix.
Thanks,
Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:18:06 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.